/*
 * Game & Watch Volleyball, an "Arcade Volleyball" clone with reworked Game & Watch
 * sprites based upon an early version of "Volleyball", originally coded by Hugo Ruscitti
 * You may check Hugo's web site for more info: http://www.loosersjuegos.com.ar
 * Game & Watch Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Game & Watch Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */
 
#ifndef _SONIDO_H
#define _SONIDO_H

#include <SDL/SDL_mixer.h>
#include <SDL/SDL.h>

#define SND_ANDAR 0
#define SND_FALLO 1
#define SND_FINTIEMPO 2
#define SND_CABEZAZO 3
#define SND_TRES 4
#define SND_COMIENZO 5

int abrirAudio();
int cerrarAudio();
void reproducirSonido(int soundCode);
void aumentarVolumen();
void reducirVolumen();

Mix_Chunk *sonidos[6]; // El juego solo tiene 6 sonidos. Y demasiados son...


#endif
